Bug 187551 - Add SafePeer and RSS Feed plugins to azureus
Summary: Add SafePeer and RSS Feed plugins to azureus
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: azureus   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-31 21:05 UTC by Brian G. Anderson
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 18:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian G. Anderson 2006-03-31 21:05:24 UTC
Description of problem:
Pluging support is disabled in azureus.  Plugins are what make azureus so
popular.  Eclipse has solved this problem by having user plugins.  Perhaps
azureus could provide a similar solution.


Version-Release number of selected component (if applicable):
azureus-2.4.0.0-0.20060209cvs_1.fc5


How reproducible:
always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
There is already a newer version of Azureus out: 2.4.0.2.

Comment 1 Anthony Green 2006-04-02 04:10:49 UTC
(In reply to comment #0)
> Description of problem:
> Pluging support is disabled in azureus.  Plugins are what make azureus so
> popular.  Eclipse has solved this problem by having user plugins.  Perhaps
> azureus could provide a similar solution.

The current update/plugin implementation in the upstream Azureus has security
problems.

For instance, the implementation of shared plugins is dangerous for multi-user
systems.  Azureus' current implementation has it so I can install a plugin and
every other user on the system will end up running it.  No special permissions
are needed to install plugins.  This is a real security problem.

Also, AFAIK, updates and plugin jars aren't signed, so there's no telling what
exactly you'll end up running.

After some discussion with others, I decided to disable Azureus' updating
mechanism, and to prevent casual users from installing their own plugins.  I've
also bundled a couple of popular plugins with Azureus.   I can add more if
people ask for specific plugins.


Comment 2 Brian G. Anderson 2006-04-02 06:19:40 UTC
Well it would be nice if SafePeer and RSS Feed were included.

Comment 3 Anthony Green 2006-04-02 16:43:54 UTC
(In reply to comment #2)
> Well it would be nice if SafePeer and RSS Feed were included.

Ok, I'll do that.  Thanks!


Comment 4 Brian G. Anderson 2006-07-25 22:51:14 UTC
What's the status of adding SafePeer and RSS Feed to Azureus in extras?  These
are the two very useful plugins.

Comment 5 Kyrre Ness Sjøbæk 2006-08-22 21:09:34 UTC
But you can install plugins by putting the jar's etc in .azureus/plugins/

Comment 6 Anthony Green 2006-09-03 14:04:58 UTC
I'm having trouble finding source code for an RSS feed plugin that doesn't
require jdk 1.5 to build.  Any pointers?


Note You need to log in before you can comment on or make changes to this bug.